package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 场地预约
 * </p>
 *
 * @author trs
 * @since 2023-12-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class JgFieldApply extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableField("SOURCE_DATA_KEY")
    private String sourceDataKey;

    @TableField("SOURCE_DATA_CODE")
    private String sourceDataCode;

    @TableField("PROJECT_CODE")
    private String projectCode;

    @TableField("PROJECT_NAME")
    private String projectName;

    @TableField("BID_SECTION_CODES")
    private String bidSectionCodes;

    @TableField("BID_SECTION_NAME")
    private String bidSectionName;

    @TableField("UNIFIED_DEAL_CODES")
    private String unifiedDealCodes;

    @TableField("TENDERER_NAME")
    private String tendererName;

    @TableField("TENDERER_CODE")
    private String tendererCode;

    @TableField("VENUE_CODE")
    private String venueCode;

    @TableField("MEETING_TYPE")
    private String meetingType;

    @TableField("OPEN_TIME_LENGTH")
    private String openTimeLength;

    @TableField("BID_OPENING_TIME")
    private Long bidOpeningTime;

    @TableField("BID_END_TIME")
    private Long bidEndTime;

    @TableField("PLATFORM_CODE")
    private String platformCode;

    @TableField("PUB_SERVICE_PLAT_CODE")
    private String pubServicePlatCode;

    @TableField("DATA_TIMESTAMP")
    private Long dataTimestamp;


}
