package com.trs.ggzyexchange.entity;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 场地信息
 * </p>
 *
 * @author trs
 * @since 2023-12-20
 */
@Data
@EqualsAndHashCode(callSuper = true)
public class JgSiteInformation extends BaseEntity {

    private static final long serialVersionUID = 1L;

    @TableId("SOURCE_DATA_KEY")
    private String sourceDataKey;

    @TableField("SOURCE_DATA_CODE")
    private String sourceDataCode;

    @TableField("VENUE_CODE")
    private String venueCode;

    @TableField("VENUE_ADDRESS_NAME")
    private String venueAddressName;

    @TableField("VENUE_TYPE")
    private String venueType;

    @TableField("VENUE_ADDRESS")
    private String venueAddress;

    @TableField("VENUE_CAMERA_NAME")
    private String venueCameraName;

    @TableField("VENUE_CAMERA_CODE")
    private String venueCameraCode;

    @TableField("AUDIO_VIDEO_STREAM")
    private String audioVideoStream;

    @TableField("AUDIO_VIDEO_URL")
    private String audioVideoUrl;

    @TableField("EXPERT_AUDIO_VIDEO_URL")
    private String expertAudioVideoUrl;

    @TableField("sort")
    private Long sort;

    @TableField("status")
    private Long status;

}
