package com.trs.ggzyexchange.mapper;

import com.trs.ggzyexchange.entity.ZrzyBgBidwinNotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
@Mapper
public interface ZrzyBgBidwinNoticeMapper extends BaseMapper<ZrzyBgBidwinNotice> {

    int countNoticeByRegionCode(
        @Param("regionCode") String regionCode
    );

    int countNoticeByRegionCodeAndTime(
            @Param("regionCode")  String region_code,
            @Param("resultStartTime")  Long resultStartTime,
            @Param("resultEndTime")  Long resultEndTime);

    ZrzyBgBidwinNotice getSumMoneyByRegionCode(
            @Param("regionCode")  String regionCode
    );

    ZrzyBgBidwinNotice getSumMoney();
}
