package com.trs.ggzyexchange.mapper;

import com.trs.ggzyexchange.entity.ZrzyJyzbBidwinNotice;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 *  Mapper 接口
 * </p>
 *
 * @author trs
 * @since 2023-12-28
 */
@Mapper
public interface ZrzyJyzbBidwinNoticeMapper extends BaseMapper<ZrzyJyzbBidwinNotice> {

    int countNoticeByRegionCode(
           @Param("regionCode") String regionCode
    );

    int countNoticeByRegionCodeAndTime(
            @Param("regionCode")  String regionCode,
            @Param("resultStartTime")  Long resultStartTime,
            @Param("resultEndTime")  Long resultEndTime);

    ZrzyJyzbBidwinNotice getSumMoneyByRegionCode(
            @Param("regionCode")  String regionCode
    );

    ZrzyJyzbBidwinNotice getSumMoney();
}
